dbXML API

## org.dbxml.xml.dom
Class ProcessingInstructionImpl

    java.lang.Object
      |
      +--org.dbxml.xml.dom.NodeImpl
            |
            +--org.dbxml.xml.dom.ProcessingInstructionImpl

All Implemented Interfaces:
  CompressedNode, DBNode, org.w3c.dom.Node, org.w3c.dom.ProcessingInstruction

public final class ProcessingInstructionImpl
extends NodeImpl
implements org.w3c.dom.ProcessingInstruction

ProcessingInstructionImpl

Fields inherited from class org.dbxml.xml.dom.NodeImpl
`EX_DOMSTRING_SIZE, EX_HIERARCHY_REQUEST, EX_INDEX_SIZE, EX_INUSE_ATTRIBUTE, EX_INVALID_STATE, EX_NO_DATA_ALLOWED, EX_NO_MODIFICATION_ALLOWED, EX_NOT_FOUND, EX_WRONG_DOCUMENT, OBJECT_HREF, OBJECT_NS, OBJECT_TYPE, TYPE_APPEND, TYPE_CONTENT, TYPE_INSERT, TYPE_REPLACE, XMLNS_PREFIX`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProcessingInstructionImpl()`
`ProcessingInstructionImpl(NodeImpl parentNode, boolean dirty)`
`ProcessingInstructionImpl(NodeImpl parentNode, byte[] data, int pos, int len)`
`ProcessingInstructionImpl(NodeImpl parentNode, java.lang.String nodeName, java.lang.String nodeValue)`

Method Summary
`java.lang.String` `getData()` The content of this processing instruction.
`short` `getNodeType()` A code representing the type of the underlying object, as defined above.
`java.lang.String` `getTarget()` The target of this processing instruction.
`void` `setData(java.lang.String data)`
`void` `setNodeValue(java.lang.String nodeValue)` The value of this node, depending on its type; see the table above.

Methods inherited from class org.dbxml.xml.dom.NodeImpl

`appendChild, checkReadOnly, cloneNode, expandSource, getAttributes, getChildNodes, getDataBytes, getDataLen, getDataPos, getFirstChild, getKey, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSource, getSymbolID, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefined, isDirty, isLoaded, isSameNode, isSupported, load, lookupDefaultNamespaceURI, lookupNamespacePrefix, lookupNamespaceURI, normalize, normalizeNS, removeChild, replaceChild, setDataBytes, setDataBytes, setDataLen, setDataPos, setDirty, setNodeName, setParentNode, setPrefix, setSource, setUserData, unload`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Constructor Detail

### ProcessingInstructionImpl

    public ProcessingInstructionImpl()

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(NodeImpl parentNode,
                                     byte[] data,
                                     int pos,
                                     int len)

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(NodeImpl parentNode,
                                     boolean dirty)

### ProcessingInstructionImpl

    public ProcessingInstructionImpl(NodeImpl parentNode,
                                     java.lang.String nodeName,
                                     java.lang.String nodeValue)

Method Detail

### getNodeType

    public short getNodeType()

  Description copied from class: `NodeImpl`
  A code representing the type of the underlying object, as defined above.
  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeType` in class `NodeImpl`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  Description copied from class: `NodeImpl`
  The value of this node, depending on its type; see the table above. When it is defined to be `null` , setting it has no effect.
  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `NodeImpl`
  Following copied from class: `org.dbxml.xml.dom.NodeImpl`
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    `org.w3c.dom.DOMException` - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

### getTarget

    public java.lang.String getTarget()

  The target of this processing instruction. XML defines this as being the first token following the markup that begins the processing instruction.
  Specified by:
    `getTarget` in interface `org.w3c.dom.ProcessingInstruction`

### getData

    public java.lang.String getData()

  The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the `?>`.
  Specified by:
    `getData` in interface `org.w3c.dom.ProcessingInstruction`
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved